This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 171124 - First user has unexpected GID 501
First user has unexpected GID 501
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
RHEL4U3NAK
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-10-18 09:17 EDT by David Barnwell
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0474
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:21:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Barnwell 2005-10-18 09:17:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
In previous versions of RHEL, user UIDs and GIDs started at 500. The first user was allocated UID=GID=500, the next had UID=GID=501 and so on (see RHEL4 Introduction to System Administration manual, section 6.3.1.1)

With RHEL4 Update 2, a new group 'pegasus' is created during the installation. This has GID=500, and the first user then gets UID=500, GID=501. This conflicts with our existing GID allocations.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install a new RHEL4 Update 2 system
2.
3.
  

Actual Results:  A group 'pegasus' was created with GID=500. First new user has UID=500, GID=501.


Expected Results:  System groups should be allocated GIDs less than 500 to avoid conflict with user groups. The first user should have UID=500, GID=500.


Additional info:
Comment 1 Jason Vas Dias 2005-10-18 11:39:22 EDT
OK, this will be changed in the next RHEL-4 tog-pegasus version .
A workaround would be to create the pegasus userid and group during installation
with a different uid / gid, or to create the user / group you want to have
UID 500 GID 500 before pegasus gets installed, during installation.
You should in general not depend on specific numeric uids / gids always being
available after installation.
Note also that pegasus is optional; nothing else in the distro depends on it.
Removing the package would also remove the pegasus user and group.
Comment 4 Jason Vas Dias 2005-11-16 18:58:49 EST
This bug is now fixed with tog-pegasus-2.4.1-4.5.rhel4 .
Comment 6 Daniel Riek 2006-03-13 15:48:38 EST
Moving to RHEL4U4Proposed as it is ON_QA.

Clearing ACKs.
Comment 8 Jos Vos 2006-03-24 09:37:00 EST
How is this fixed?  By adding "-r" to the groupadd command?
Comment 11 Bob Johnson 2006-04-11 11:52:34 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 15 Red Hat Bugzilla 2006-08-10 17:21:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0474.html

Note You need to log in before you can comment on or make changes to this bug.